#!/bin/bash
# Script for creating translation for Pmusic

lang=$(locale | grep 'LANG='| cut -d'=' -f2 | cut -d '_' -f1)
echo "Put your name for translator as argument to the script."
echo "Your name as translator will be:" ${1:-native} 
echo "Your language detected as \"$lang\"."
which xgettext >> /dev/null
if [ $? -eq 1 ] 
then echo "You should install xgettext. It is in devx.sfs."
exit 1
fi

while true
do
echo "Please enter your choice:"
echo "1. Create pot file from \"gettext_file\". You may edit it if you need."
echo
echo "2. Copy $lang.mo to /usr/share/locale/$lang/LC_MESSAGES/ after creating translation in poedit (file $lang.po). Generate pmusic translation file and copy it to locale directory. This step could be repeted if you made some changes in your translation with poedit."
echo
echo "3. Exit."
echo -n "> "
read choice

case $choice in
    1)
        xgettext -L shell gettext_file -o pmusic2.pot
        if [ $? -eq 0 ] 
        then 
        echo "File pmusic2.pot is created. Use poedit to translate it and create $lang.po file" 
        echo
        else echo "Something went wrong!"
        continue
        fi
        ;;
    2)
        echo "Please wait..."
        if [ -e $lang.mo ] 
        then
            cp $lang.mo /usr/share/locale/$lang/LC_MESSAGES/pmusic2.mo
        else echo "You haven't created $lang.po and $lang.mo with poedit! Cannot continue."
             echo
             continue
        fi
        ./gettext_file $1
        # edit line 525, remove extra single quotes needed for gettext
        sed s/"''"/"'"/ pmusic > pmusic_tmp
        mv pmusic_tmp pmusic
        cp pmusic /usr/share/locale/$lang/LC_MESSAGES/
        echo "Done."
        echo
        ;;
    3) exit 0 ;;
esac

done